Bug 182058 - [maintainer-update] mail/dma
Summary: [maintainer-update] mail/dma
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-13 09:50 UTC by Bjoern A.Zeeb
Modified: 2013-09-16 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A.Zeeb 2013-09-13 09:50:00 UTC
Update to mail/dma

diff is here.  Please see svn status at top for added and removed files.

http://people.freebsd.org/~bz/20130913-01-mail-dma.diff

Only tested to compile on 10.  A ports committer please help and check the others.
Comment 1 Edwin Groothuis freebsd_committer 2013-09-13 09:50:08 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-13 09:50:09 UTC
Maintainer of mail/dma,

Please note that PR ports/182058 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182058

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-09-13 09:50:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Bjoern A. Zeeb freebsd_committer 2013-09-13 10:00:11 UTC
State Changed
From-To: feedback->open

Given this is a maintainer update and the maintainer is me 
reset state to open for a ports committer to pick it up.
Comment 5 William Grzybowski freebsd_committer 2013-09-13 12:14:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-09-16 14:44:35 UTC
Author: wg
Date: Mon Sep 16 13:44:26 2013
New Revision: 327398
URL: http://svnweb.freebsd.org/changeset/ports/327398

Log:
  mail/dma: update to 0.9
  
  - Update to 0.9 [1]
  - USE_GITHUB framework
  - Remove useless LICENSE_FILE
  - Trim Makefile header
  - Mark IGNORE for 8.x
  
  PR:		ports/182058
  Submitted by:	bz (maintainer)

Added:
  head/mail/dma/files/patch-spool.c   (contents, props changed)
Deleted:
  head/mail/dma/files/patch-crypto.c
  head/mail/dma/files/patch-dma.h
Modified:
  head/mail/dma/Makefile
  head/mail/dma/distinfo
  head/mail/dma/files/patch-BSDMakefile
  head/mail/dma/files/patch-dma-Makefile   (contents, props changed)
  head/mail/dma/files/patch-dma.c
Directory Properties:
  head/mail/dma/files/dma_flushq.in   (props changed)
  head/mail/dma/files/patch-dma-mbox-create-Makefile   (props changed)

Modified: head/mail/dma/Makefile
==============================================================================
--- head/mail/dma/Makefile	Mon Sep 16 13:43:53 2013	(r327397)
+++ head/mail/dma/Makefile	Mon Sep 16 13:44:26 2013	(r327398)
@@ -1,38 +1,28 @@
-# New ports collection makefile for:	dma
-# Date created:				2009-01-17
-# Whom:					Daniel Roethlisberger <daniel@roe.ch>
-#
+# Created by: Daniel Roethlisberger <daniel@roe.ch>
 # $FreeBSD$
 #
 # Based on a tarball from https://github.com/corecode/dma/tarball/<version>
 # rather than from Dragonfly.
-#
 
 PORTNAME=		dma
-PORTVERSION=		v0.7
-PORTREVISION=		1
+PORTVERSION=		v0.9
 PORTEPOCH=		1
 CATEGORIES=		mail ipv6
-#MASTER_SITES=		https://github.com/		# 302 temp move
-MASTER_SITES=		https://nodeload.github.com/${GITHUB_USER}/${PORTNAME}/tarball/
-DISTNAME=		${PORTVERSION}
 EXTRACT_SUFX=
-DIST_SUBDIR=		${PORTNAME}
 
 MAINTAINER=	bzeeb+freebsdports@zabbadoz.net
 COMMENT=	DragonFly Mail Agent, a small MTA for local/outbound mail
 
 LICENSE=	BSD
-LICENSE_FILE=	${WRKSRC}/LICENSE
-
-WRKSRC=		${WRKDIR}/${GITHUB_USER}-${PORTNAME}-${GITHUB_HASH}
 
 USE_OPENSSL=	yes
 
 MAN8=		dma.8
 
-GITHUB_HASH=		db9a42b
-GITHUB_USER=		corecode
+USE_GITHUB=	yes
+GH_COMMIT=	2bb8bcb
+GH_ACCOUNT=	corecode
+GH_TAGNAME=	${GH_COMMIT}
 
 CFLAGS+=	-I${OPENSSLINC} \
 		-DCONF_PATH='\"${PREFIX}/etc/dma\"' \
@@ -48,6 +38,10 @@ CONFFILES+=	dma.conf auth.conf
 
 .include <bsd.port.pre.mk>
 
+.if ${OSVERSION} < 900000
+IGNORE=	Does not build in 8.x
+.endif
+
 pre-patch:
 	@${MKDIR} ${WRKSRC}/dma ${WRKSRC}/dma-mbox-create
 	@${MV} ${WRKSRC}/Makefile ${WRKSRC}/Makefile.dist
@@ -57,6 +51,9 @@ post-patch:
 		${WRKSRC}/dma.8
 	@${REINPLACE_CMD} -e 's, /etc/dma, ${PREFIX}/etc/dma,g' \
 		${WRKSRC}/dma.conf
+.if ${OSVERSION} < 1000013
+	@${REINPLACE_CMD} -e 's,^YFLAGS.*,,' ${WRKSRC}/dma/Makefile
+.endif
 
 do-install:
 	${INSTALL} -o root -g mail -m 2555 ${WRKSRC}/dma/dma ${PREFIX}/libexec

Modified: head/mail/dma/distinfo
==============================================================================
--- head/mail/dma/distinfo	Mon Sep 16 13:43:53 2013	(r327397)
+++ head/mail/dma/distinfo	Mon Sep 16 13:44:26 2013	(r327398)
@@ -1,2 +1,2 @@
-SHA256 (dma/v0.7) = 56a84a2a00b89f1abe6761657036a553aa9f1e9b0826abbace13609aea545e50
-SIZE (dma/v0.7) = 43961
+SHA256 (dma-v0.9) = 6c99d5975a2a1072f74b3209ad0a2b89558274de39bd3e03400f94a242b436f2
+SIZE (dma-v0.9) = 45611

Modified: head/mail/dma/files/patch-BSDMakefile
==============================================================================
--- head/mail/dma/files/patch-BSDMakefile	Mon Sep 16 13:43:53 2013	(r327397)
+++ head/mail/dma/files/patch-BSDMakefile	Mon Sep 16 13:44:26 2013	(r327398)
@@ -1,6 +1,6 @@
---- BSDmakefile.orig	2012-01-03 13:54:05.000000000 +0000
-+++ BSDmakefile	2012-01-28 20:47:09.000000000 +0000
-@@ -1,20 +1,12 @@
+--- BSDmakefile.orig	2013-06-03 14:03:15.000000000 +0000
++++ BSDmakefile	2013-08-22 10:35:28.000000000 +0000
+@@ -1,21 +1,13 @@
  # $DragonFly: src/libexec/dma/Makefile,v 1.5 2008/09/19 00:36:57 corecode Exp $
  #
  
@@ -11,6 +11,7 @@
 +CFLAGS+= -I${.CURDIR} -I${.CURDIR}/..
  CFLAGS+= -DHAVE_REALLOCF -DHAVE_STRLCPY -DHAVE_GETPROGNAME
  CFLAGS+= -DLIBEXEC_PATH='"${LIBEXEC}"' -DDMA_VERSION='"${version}"'
+ CFLAGS+= -DCONF_PATH='"${CONFDIR}"'
  
 -DPADD=  ${LIBSSL} ${LIBCRYPTO}
 -LDADD=  -lssl -lcrypto
@@ -22,8 +23,8 @@
 -
  PREFIX?=	/usr/local
  LIBEXEC?=	${PREFIX}/libexec
- 
-@@ -23,4 +15,3 @@ BINGRP= mail
+ CONFDIR?=	${PREFIX}/etc/dma
+@@ -25,4 +17,3 @@ BINGRP= mail
  BINMODE=2555
  WARNS?=	6
  

Modified: head/mail/dma/files/patch-dma-Makefile
==============================================================================
--- head/mail/dma/files/patch-dma-Makefile	Mon Sep 16 13:43:53 2013	(r327397)
+++ head/mail/dma/files/patch-dma-Makefile	Mon Sep 16 13:44:26 2013	(r327398)
@@ -1,8 +1,6 @@
---- dma/Makefile.orig	2012-01-28 20:33:55.000000000 +0000
-+++ dma/Makefile	2012-01-28 20:33:55.608531000 +0000
-@@ -0,0 +1,14 @@
-+# $FreeBSD$
-+
+--- dma/Makefile.orig	2013-08-22 10:56:28.000000000 +0000
++++ dma/Makefile	2013-08-22 11:18:05.000000000 +0000
+@@ -0,0 +1,15 @@
 +.PATH:	${.CURDIR} ${.CURDIR}/../
 +
 +PROG=	dma
@@ -10,8 +8,11 @@
 +SRCS+=	dma.c dns.c local.c mail.c net.c spool.c util.c
 +MAN=	dma.8
 +
++CFLAGS+= -DYY_NO_INPUT
 +DPADD=  ${LIBSSL} ${LIBCRYPTO}
 +LDADD=  -lssl -lcrypto
 +
++YFLAGS+=	-i
++
 +.include "../BSDmakefile"
 +.include <bsd.prog.mk>

Modified: head/mail/dma/files/patch-dma.c
==============================================================================
--- head/mail/dma/files/patch-dma.c	Mon Sep 16 13:43:53 2013	(r327397)
+++ head/mail/dma/files/patch-dma.c	Mon Sep 16 13:44:26 2013	(r327398)
@@ -1,6 +1,6 @@
---- dma.c.orig	2012-01-28 22:36:55.000000000 +0000
-+++ dma.c	2012-01-28 22:46:06.000000000 +0000
-@@ -332,7 +332,7 @@ retry:
+--- dma.c.orig	2013-08-22 10:56:28.000000000 +0000
++++ dma.c	2013-08-22 11:03:59.000000000 +0000
+@@ -343,7 +343,7 @@ retry:
  			exit(1);
  		}
  		if (gettimeofday(&now, NULL) == 0 &&
@@ -9,16 +9,16 @@
  			snprintf(errmsg, sizeof(errmsg),
  				 "Could not deliver for the last %d seconds. Giving up.",
  				 MAX_TIMEOUT);
-@@ -534,7 +535,7 @@ main(int argc, char **argv)
+@@ -560,7 +560,7 @@ main(int argc, char **argv)
  skipopts:
  	if (logident_base == NULL)
  		logident_base = "dma";
 -	setlogident(NULL);
-+	setlogident(logident_base);
++	setlogident("%s", logident_base);
  
  	act.sa_handler = sighup_handler;
  	act.sa_flags = 0;
-@@ -571,7 +572,7 @@ skipopts:
+@@ -598,7 +598,7 @@ skipopts:
  		errlog(1, "can not read aliases file `%s'", config.aliases);
  
  	if ((sender = set_from(&queue, sender)) == NULL)
@@ -26,4 +26,4 @@
 +		errlog(1, "set_from failed");
  
  	if (newspoolf(&queue) != 0)
- 		errlog(1, "can not create temp file");
+ 		errlog(1, "can not create temp file in `%s'", config.spooldir);

Added: head/mail/dma/files/patch-spool.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/dma/files/patch-spool.c	Mon Sep 16 13:44:26 2013	(r327398)
@@ -0,0 +1,11 @@
+--- spool.c.orig	2013-06-03 14:03:15.000000000 +0000
++++ spool.c	2013-08-22 11:07:47.000000000 +0000
+@@ -415,7 +415,7 @@ flushqueue_since(unsigned int period)
+ 		return (0);
+ 
+ 	/* Did the flush file get touched within the last period seconds? */
+-	if (st.st_mtim.tv_sec + period >= now.tv_sec)
++	if (st.st_mtim.tv_sec + (int)period >= now.tv_sec)
+ 		return (1);
+ 	else
+ 		return (0);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 William Grzybowski freebsd_committer 2013-09-16 14:45:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!